namespace AddisonWesley.Michaelis.EssentialCSharp.Chapter04.Listing04_47
{
    class TicTacToe  // Deklaracja klasy TicTacToe. 
    {
        static void Main() // Deklaracja punktu wejścia do programu.
        {
            // Zapisywanie na sztywno początkowego stanu planszy:
            // ---+---+---
            //  1 | 2 | 3
            // ---+---+---
            //  4 | 5 | 6
            // ---+---+---
            //  7 | 8 | 9
            // ---+---+---
            char[] cells = {
      '1', '2', '3', '4', '5', '6', '7', '8', '9'
    };

            System.Console.Write(
              "Możliwe posunięcia to: ");

            // Wyświetlanie posunięć dopuszczalnych na początku.
            foreach (char cell in cells)
            {
                if(cell != 'O' && cell != 'X')
                {
                    System.Console.Write($"{ cell } ");
                }
            }
        }
    }
}
